% FLASHSTAT(8) flashstat

# NAME

flashstat - Display flashcache statistic information


# DESCRIPTION

The purpose of the **flashstat** command is to periodically display
flashcache statistic information


# SYNOPSIS

flashstat [-h] [-i \<time Interval\>] [-C \<count\>] [-d \<device\>] [-n]


# OPTIONS

-h, --help
:    Print help info

-i, --interval
:    Time(second) interval, the default value is 1s

-C, --count
:    Display times

-d, --device
:    Flashcache device, the default device is /dev/mapper/cachedev

-n, --nocolor
:    No color mode

# OUTPUT
read/s                -
reads per second for cachedev

write/s               -
writes per second for cachedev

diskr/s               -
disk reads per second

diskw/s               -
disk writes per second

ssdr/s                -
ssd reads per second

ssdw/s                -
ssd writes per second

uread/s               -
uncached reads per second

uwrit/s              - 
uncached writes per second

metaw/s               -
metadata ssd writes per second

clean/s               -
cleanings per second

repl/s               - 
replacement per second

wrepl/s               -
write replacement per second

hit%                   -
read hit percent(current hit%|total hit%)

whit%                 -
write hit percent(current whit%|total whit%)

dwhit%                -
dirty write hit percent(current dwhit%|total dwhit%)


# SEE ALSO

*README* and other documents in **/usr/share/doc/flashcache-utils**

The flashcache source code and all documentation may be downloaded from
<https://github.com/facebook/flashcache/>.


# AUTHORS

Flashstat is developed by NinGoo <seaman.ning@gmail.com>

This man page was written by Liang Guo <guoliang@debian.org>
for Debian GNU/Linux (but may be used by others).

